.\" $Id: xsolitaire.man,v 1.4 2003/06/13 08:04:03 d Exp $
.\" David Leonard, 2003. Public domain.
.TH XSOLITAIRE 1
.SH NAME
xsolitaire \- Klondike card game
.SH SYNOPSIS
.B xsolitaire
[\-toolkitoption ... ]
.SH DESCRIPTION
.I Xsolitaire
is a clone of Microsoft's Solitaire game, for X.
Microsoft call it Solitaire, but everyone else in the world calls
the game Klondike.
.SH GAMEPLAY
The object of
.I xsolitaire
is to obtain four ordered
suits stacks, beginning with the aces and finishing
with the kings.
.PP
Cards in the lower 'play' zone can only be
moved onto cards of a different colour and successive face value
(e.g. a black 8 on a red 9). Whole card groups can be moved if they obey
this rule. Gaps in the play zone can only be filled by kings.
.PP
The draw pile at the top left may be 'hit' to obtain new cards 
in groups of three.
.SH CONTROLS
Besides normal drag-and-drop,
.I xsolitaire
understands the following controls:
.IP \(bu 4
.BR left-click :
flip a card in the play zone,
or hit the draw pile for three new cards
.IP \(bu 4
.BR left-double-click :
move the card to a suit stack if possible
.IP \(bu 4
.B right-click
or
.BR control-A :
move all exposed cards to suit stacks if possible
.IP \(bu 4
.B n
or
.BR F2 :
deal a new deck
.IP \(bu 4
.BR q :
quit
.IP \(bu 4
.BR u :
undo last action
.SH WIDGETS
In order to specify resources, it is useful to know the hierarchy of
the widgets which compose
.IT xsolitair .
In the notation below,
indentation indicates hierarchical structure.
The widget class name
is given first, followed by the widget instance name.
.sp
.nf
.TA .5i 1.0i 1.5i
.ta .5i 1.0i 1.5i
Solitaire  xsolitaire
	Paned  pane
		Box  cmdbox
			Label  message
			Command  quit
			Command  deal
			Command  undo
		Box  solvebox
			Stack  drawpile
			Stack  discard
			Stack  ignore
			Stack  ordered
			Stack  ordered
			Stack  ordered
			Stack  ordered
		Box  playbox
			Stack  play
			Stack  play
			Stack  play
			Stack  play
			Stack  play
			Stack  play
			Stack  play
		Box  scorebox
			Label  timeLabel
			Label  time
			Label  scoreLabel
			Label  score
			Label  gamesLabel
			Label  games
	Tip  tip
.fi
.sp
.SH RULES
.PP
The rules for this game have been outlined above, but it is
interesting to see how the game is described elsewhere, with their
subtle differences.
.PP
The rules for Klondike described in
.I Hoyle's Official Rules of Card
.IR Games ,
(published by Gary Allen, Smithfield Australia, 1998, pp. 512-3)
are as follows:
.IP \& 4
This game is sometimes mistakenly called "Canfield", but that is 
a distinct game, described elsewhere, in which there are separate
piles for stock and foundations.
.IP \& 4
Shuffle the full pack of fifty-two cards, cut and turn up the top
card. Lay six more cards in a row to the right of the first card,
but all face down. Upon the second card of this row place another
card face up, and then cards face down on the remaining five of the
top row. On the third pile from the left, place another card
face up, and then four more face down to the right. Continue this
until you have seven cards face up, which will give you twenty-eight
cards in your layout.
.IP \& 4
Take out any aces showing, and place these aces in sequence
and suit to kings. On the layout, build in descending sequence,
red on black, black on red, turning up the top card when any pile
is left without a faced card upon it. If there is more than one card
face up on any pile, they must be removed together or not at all.
Spaces may be filled only with kings.
.IP \& 4
The stock is run off three cards at a time, and any card showing
can be used. The pack can be run through in this manner until
no cards showing can be used, but there must be no shuffling or
re-arrangement of the cards. Sometimes it is the rule to run through
the pack once only, turning up one card at a time.
.IP \& 4
The object of the game is to see how many cards can be built on
the ace row. A better average can usually be obtained when the
pack is run off three at a time with the priviliege of running through
again and again as long as any card can be used.
.PP
The game of Canfield is described in
.I 50 Card Games for 
.IR Children ,
by Vernon Quinn (published by Whitman, Racine Wisconsin, 1933)
as follows:
.IP \& 4
When this popular game of Solitaire first was
played, its name was Klondike, but everyone now
calls it Canfield.
.IP \& 4
At least, they know it by that name, but many of
them call it merely "Solitaire"\(emas if it were the only
game of solitaire ever played!
.IP \& 4
Deal a row of seven cards, the first card face-up,
the others face-down. Then a row of six cards overlapping
those above, the first card face-up, the others
face-down. Each succeeding row has one card less,
and always the first card is face-up. The last row, the
seventh, will have only one card, face-up.
.IP \& 4
Hold the remainder of the pack in your hand.
.IP \& 4
The object is to build up each suit from the Ace to the King.
.IP \& 4
First look at your layout, the cards you have dealt.
If there is an Ace showing, lay it aside for one of your
four Ace-foundations. And turn over, face-up, the
card that was beneath the Ace.
.IP \& 4
As soon as a card is face-up it may be used\(emeither
to build
.I up
on the Aces (in the same suit) or to build
.I down
on the layout (in sequence and in alternate colors\(emblack
on read, red on black). You build down, on
the layout, in order to uncover a card so that it may
be turned face-up.
.IP \& 4
All face-up cards in one column may be moved
(without disturbing their order) onto another column.
But the top card of the ones you are moving must be 
a different colour and the next number lower than the
bottom card of the column they are moved onto. (A
black 5 heading a column may be placed on a red 6,
a red Jack on a black Queen.)
.IP \& 4
In moving cards from one column to another,
.I all
face-up cards in that column must be moved together.
(If one column shows 9-8-7-6, the 6 may not be moved
alone onto a 7 in another column, but all four together
may be moved onto a 10 of a different color from the 9.)
.IP \& 4
As soon as a face-down card is uncovered, turn it
over, and use it if you can\(emin building up on the Aces
or down in another column.
.IP \& 4
When any column-space is vacant, only a King may be
placed in it. If the King heads a numnber of face-up
cards, all the cards below the King must be moved with it.
.IP \& 4
When no further moves are possible in the layout,
turn to the pack in your hand and deal off three cards,
placing them in a pile face-up on the table, only the top card
showing. Use the top card of this Boneyard-pile if you can;
and if you use it, the next one, being the top card, may be used.
.IP \& 4
Deal off three more cards from the pack and place them
face-up on the Boneyard-pile, using the top one
if you can, and any that are uncovered when the top ones
are used.
.IP \& 4
Go through the pack in this way, three cards at a time.
Then turn over the Boneyard (but do not shuffle it) and go
through it three at a time, forming a new Boneyard
as at the beginning. Keep turning over the Boneyard and going
through it, three cards at a time.
.IP \& 4
If you do this without being able to use a single
card, you are blocked, and lose the game. But if you manage
to build each Ace up to its King, you win.
.SH SCORING
.PP
The scoring rules used in
.I xsolitaire
are as follows:
.IP \(bu 4
Moving a card to a suit stack: 10
.IP \(bu 4
Moving a card from the discard pile to a play stack: 5
.IP \(bu 4
Turning over a new card on a play stack: 5
.IP \(bu 4
Moving a card from a suit stack back to a play stack: minus 15
.IP \(bu 4
Going through the draw pile more than three times: minus 20 (each time)
.SH BUGS
.PP
Sometimes card pixmap files may not be found.
If this problem occurs, try running the program
with an explicit pixmap directory name, like so:
.PP
	xsolitaire -xrm '*pixmapFilePath: /path/to/pixmaps'
.PP
The card animation that occurs when you win a game is pretty sad.
.PP
The discard pile only shows its top card (and not the last three drawn).
.PP
Sometimes, the popup window that implements drag-and-drop flashes 
momentarily near the left side of the shell window, but only
at the beginning of the drag.
.PP
There is no limit to how many times you can exhaust the draw stack,
regardless of if a move may be made.
.SH "SEE ALSO"
X(1), X Toolkit documentation
.SH AUTHOR
David Leonard
